package org.micord.models;

import lombok.Setter;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;
import java.util.List;

@Setter
public class AqlRequest extends BaseRequest {

	private AqlConnectionParams aqlConnectionParams;
	private List<AqlRequestCollection> aqlRequestCollections;

	@XmlElement(name = "AqlConnectionParams")
	public AqlConnectionParams getAqlConnectionParams() {
		return aqlConnectionParams;
	}

	@XmlElementWrapper(name = "AqlRequestCollections")
	@XmlElement(name = "AqlRequestCollection")
	public List<AqlRequestCollection> getAqlRequestCollections() {
		return aqlRequestCollections;
	}

}
